# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`hashi_stack::repo`](#hashi_stackrepo): Set up the package repository for the HashiCorp Stack components

## Classes

### `hashi_stack::repo`

This class installs the hashicorp repository

#### Examples

##### Inclusion using defaults

```puppet
include hashi_stack::repo
```

##### Include repo and install packer as package

```puppet
include hashi_stack::repo
package { 'packer':
  ensure  => installed,
  require => Class['Hashi_stack::Repo'],
}
```

#### Parameters

The following parameters are available in the `hashi_stack::repo` class.

##### `priority`

Data type: `Optional[Integer]`

A numeric priority for the repo, passed to the package management system

Default value: ``undef``

##### `proxy`

Data type: `String`

The URL of a HTTP proxy to use for package downloads (YUM only)

Default value: `'absent'`

##### `key_id`

Data type: `String`

GPG key to authenticate Apt package signatures.

Default value: `'E8A032E094D8EB4EA189D270DA418C88A3219F7B'`

##### `key_source`

Data type: `Stdlib::HTTPSUrl`

The location of an existing GPG key file to copy.

Default value: `'https://apt.releases.hashicorp.com/gpg'`

##### `description`

Data type: `String`

Repository description

Default value: `'HashiCorp package repository.'`

